Publish a document Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/document/{document_uuid}/publish

This will make the document un-editable and will upload a DOCX and PDF file to the client.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • document_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • status string
    • last_publishing_error string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • known_dependants object
      Hide known_dependants attribute Show known_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
POST /api/v1/document/{document_uuid}/publish
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed/publish' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
  {
    "uuid": "7fc5d7d8-de9f-41e6-bf60-b0a02b9030b6",
    "created_at": "2026-10-28T10:39:28+00:00",
    "updated_at": "2026-10-28T10:39:28+00:00",
    "version": 3,
    "name": "Welcome Template",
    "status": "published",
    "last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
    "required_dependants": {
      "client-1": "client"
    },
    "known_dependants": {
      "client-1": "fc0b6354-11ba-4def-b579-d6ea52fa5d5b"
    },
    "public_docx_url": "https://api.plannrcrm.com/document/4b17dd9c-72ee-4f8d-ab98-0925e319fd9d/content/docx?plannr_account_uuid=ea465ee7-5945-425d-b159-0a837bdadffe",
    "public_sfdt_url": "https://api.plannrcrm.com/document/1ba05d9c-e947-40bc-acb5-241ce1998fde/content/sfdt?plannr_account_uuid=f53461af-17a1-4321-b030-3e7e6c2c8902",
    "public_pdf_url": "https://api.plannrcrm.com/document/10ad2b52-dc4d-4e89-b9f4-8da9f2e069af/content/pdf?plannr_account_uuid=a8f5519a-acbb-412f-a708-860f15b0c239",
    "public_preview_url": "https://api.plannrcrm.com/document/076b1ce4-1abd-4c82-a828-ce54a7b94065/content/preview?plannr_account_uuid=65a22b94-fffe-498f-a27a-5c1a36327ad1"
  }
]